Bug 177944 - Review Request: alsamixergui : GUI mixer for ALSA sound devices
Review Request: alsamixergui : GUI mixer for ALSA sound devices
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-16 13:54 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 00:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-01-16 13:54:21 EST
Spec Name or Url: http://www.auroralinux.org/people/spot/review/alsamixergui.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/alsamixergui-0.9.0-0.1.rc1.src.rpm
Description: 
alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the gui
part, so it provides exactly the same functionality, but with a
graphical userinterface.
Comment 1 Chris Chabot 2006-01-16 14:23:29 EST
I'll pick it up, doing build & mock as we speak, changing blocker to FE-REVIEW
Comment 2 Chris Chabot 2006-01-16 14:43:20 EST
Compiled cleanly & functions on FC5-devel

One functional comment: There is no quit button (other then window titlebar [X]
one), not really an HIG compliant application, but functional otherwise.

Missing for formal checklist (from PackageReviewGuidelines):
"Packages containing GUI applications must include a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section. This is described in detail in the desktop files section of
PackagingGuidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your
explanation."


Review list MUST items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (BSD-ish?) is fedora extra's compatible & is included in spec
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- No need for ldconfig
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed

Review list SHOULD items:
- Includes upstream licence file (COPYING)
- No insane scriplets
- No unnescesarry requires

rpmlint has no complaints at all (no output)

Please add a desktop file, or explanation why not in the spec file, and i'll do
the reviewlist again.
Comment 3 Tom "spot" Callaway 2006-01-16 16:02:41 EST
The app certainly isn't HIG compliant, but it dates back to 2002. There are
certainly tons of other mixers which are HIG complaint, so I'm content to leave
this application as is.

Added a desktop file in -2:

SRPM:
http://www.auroralinux.org/people/spot/review/alsamixergui-0.9.0-0.2.rc1.src.rpm
SPEC: http://www.auroralinux.org/people/spot/review/alsamixergui.spec
Comment 4 Chris Chabot 2006-01-16 16:54:13 EST
Review list MUST items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (BSD-ish?) is fedora extra's compatible & is included in spec
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- Missing BR: desktop-file-utils, mock failed because of it.
  With adding that BR, it mock builds properly.
- No need for ldconfig
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed

Review list SHOULD items:
- Includes upstream licence file (COPYING)
- No insane scriplets
- No unnescesarry requires

FE-ACCEPT, but under the assumption you will add that BR for desktop-file-utils
before commiting to cvs!

Please assign the bug to me on closing it per procedure.

Note You need to log in before you can comment on or make changes to this bug.